Subject: Re: gtk2-x11: Functions whose name started with '_'
From: "Gerrit P. Haase" <[email-masked]>
To: Yaakov Selkowitz <[email-masked]>
Cc: [email-masked]
Date: Fri, 20 Aug 2004 14:57:18 +0200

Yaakov wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1

> Gerrit P. Haase wrote:
> | Anyway, currently I have a strange problem, I cannot rebuild gtk2 on
> | the same machine where I compiled it two days before.  The only thing
> | I changed was to update gcc, i.e. getting an error now when linking
> | gdk-pixbuf because the generated .def file seems to be broken.
> |
> | I'll need to investigate if it works ok with the previous gcc or
> | whatever the reason is.  I think I'll try to build without the .def
> | file as well to see how it works.

> FWIW, I had the same problem building gtkglext, which also uses
> - -Wl,--export-symbols-regex to exclude symbols with a leading underscore.
> ~ Removing this line from the libtool LDFLAGS did the trick.

You may also apply the libtool.m4 patch I recently posted and
reconfigure.

> In the end, it's just a matter of which symbols are exported or not, so
> it really shouldn't hurt, should it?

There may be symbols exported which are also exported by other
libraries (e.g. getopt).

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/